<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: X4X8Multiplex.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_x4_x8_multiplex_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">X4X8Multiplex.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x4_x8_multiplex_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef X4X8MULTIPLEX_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define X4X8MULTIPLEX_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_uav_multiplex_8h.html">UavMultiplex.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">class </span>X4X8Multiplex_impl;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span>filter</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;{</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html">   26</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html">X4X8Multiplex</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html">UavMultiplex</a></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keyword">friend</span> class ::X4X8Multiplex_impl;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8c">   35</a></span>&#160;            <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8ca13d6cff80c344e495c6d02d46cff767b">   36</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8ca13d6cff80c344e495c6d02d46cff767b">X4</a>,</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8ca8a80a53c8f2c3715f9e7f03d1bfe471d">   37</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8ca8a80a53c8f2c3715f9e7f03d1bfe471d">X8</a></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;                } <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8c">UavType_t</a>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95">   44</a></span>&#160;            <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95ad3207133e5e63f8f9edca4baee8fdd78">   45</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95ad3207133e5e63f8f9edca4baee8fdd78">TopFrontLeft</a>=0,</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95a6d95fe479d33ba3ec01d9f19529bc4e5">   46</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95a6d95fe479d33ba3ec01d9f19529bc4e5">TopFrontRight</a>=1,</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95adccf042c26ee48ab7212c0bdec7eed1c">   47</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95adccf042c26ee48ab7212c0bdec7eed1c">TopRearLeft</a>=2,</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95ad23106accaffb3734e610197f65c92dc">   48</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95ad23106accaffb3734e610197f65c92dc">TopRearRight</a>=3,</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95acf21b3d531775198b50d27226ee36c6e">   49</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95acf21b3d531775198b50d27226ee36c6e">BottomFrontLeft</a>=4,</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95a23574b537d14fe8f060faee90cee0943">   50</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95a23574b537d14fe8f060faee90cee0943">BottomFrontRight</a>=5,</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95af2af22b01ec05ba504f17545d66e923b">   51</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95af2af22b01ec05ba504f17545d66e923b">BottomRearLeft</a>=6,</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95aceeac77420078232ba627961470623c5">   52</a></span>&#160;                <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95aceeac77420078232ba627961470623c5">BottomRearRight</a>=7,</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;                } <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95">MotorNames_t</a>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ae878eb6a6f49e65467ffb9c7c147e7f9">X4X8Multiplex</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a>* parent,std::string name,<a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8c">UavType_t</a> type);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a5901f6318bdeb6a687b98915e8ec1171">~X4X8Multiplex</a>();</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a665556ba4473e958d94ee4a1f3845a77">UseDefaultPlot</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            uint8_t <a class="code" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7134bcbe2043f9634d1eb1cc0bcc76fc">MotorsCount</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            X4X8Multiplex_impl *pimpl_;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    };</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="preprocessor">#endif // X4X8MULTIPLEX_H</span></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a665556ba4473e958d94ee4a1f3845a77"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a665556ba4473e958d94ee4a1f3845a77">framework::filter::X4X8Multiplex::UseDefaultPlot</a></div><div class="ttdeci">void UseDefaultPlot(void)</div><div class="ttdoc">Use default plot. </div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_ab65396f910600bf31a76eb0a1305ba8ca13d6cff80c344e495c6d02d46cff767b"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8ca13d6cff80c344e495c6d02d46cff767b">framework::filter::X4X8Multiplex::X4</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:36</div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:43</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_ae878eb6a6f49e65467ffb9c7c147e7f9"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ae878eb6a6f49e65467ffb9c7c147e7f9">framework::filter::X4X8Multiplex::X4X8Multiplex</a></div><div class="ttdeci">X4X8Multiplex(const core::FrameworkManager *parent, std::string name, UavType_t type)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7b6c53801967727a05019fde6b12af95a6d95fe479d33ba3ec01d9f19529bc4e5"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95a6d95fe479d33ba3ec01d9f19529bc4e5">framework::filter::X4X8Multiplex::TopFrontRight</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:46</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7b6c53801967727a05019fde6b12af95ad3207133e5e63f8f9edca4baee8fdd78"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95ad3207133e5e63f8f9edca4baee8fdd78">framework::filter::X4X8Multiplex::TopFrontLeft</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:45</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7b6c53801967727a05019fde6b12af95aceeac77420078232ba627961470623c5"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95aceeac77420078232ba627961470623c5">framework::filter::X4X8Multiplex::BottomRearRight</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:52</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7b6c53801967727a05019fde6b12af95adccf042c26ee48ab7212c0bdec7eed1c"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95adccf042c26ee48ab7212c0bdec7eed1c">framework::filter::X4X8Multiplex::TopRearLeft</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:47</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7b6c53801967727a05019fde6b12af95af2af22b01ec05ba504f17545d66e923b"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95af2af22b01ec05ba504f17545d66e923b">framework::filter::X4X8Multiplex::BottomRearLeft</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:51</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7b6c53801967727a05019fde6b12af95ad23106accaffb3734e610197f65c92dc"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95ad23106accaffb3734e610197f65c92dc">framework::filter::X4X8Multiplex::TopRearRight</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:48</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_ab65396f910600bf31a76eb0a1305ba8ca8a80a53c8f2c3715f9e7f03d1bfe471d"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8ca8a80a53c8f2c3715f9e7f03d1bfe471d">framework::filter::X4X8Multiplex::X8</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:37</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7b6c53801967727a05019fde6b12af95acf21b3d531775198b50d27226ee36c6e"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95acf21b3d531775198b50d27226ee36c6e">framework::filter::X4X8Multiplex::BottomFrontLeft</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:49</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html">framework::filter::X4X8Multiplex</a></div><div class="ttdoc">Class defining X4 and X8 multiplexing. </div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:26</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7b6c53801967727a05019fde6b12af95a23574b537d14fe8f060faee90cee0943"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95a23574b537d14fe8f060faee90cee0943">framework::filter::X4X8Multiplex::BottomFrontRight</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:50</div></div>
<div class="ttc" id="_uav_multiplex_8h_html"><div class="ttname"><a href="_uav_multiplex_8h.html">UavMultiplex.h</a></div><div class="ttdoc">Class defining uav multiplexing. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7b6c53801967727a05019fde6b12af95"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7b6c53801967727a05019fde6b12af95">framework::filter::X4X8Multiplex::MotorNames_t</a></div><div class="ttdeci">MotorNames_t</div><div class="ttdoc">Motor names. </div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:44</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html">framework::filter::UavMultiplex</a></div><div class="ttdoc">Class defining uav multiplexing. </div><div class="ttdef"><b>Definition:</b> UavMultiplex.h:39</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a7134bcbe2043f9634d1eb1cc0bcc76fc"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a7134bcbe2043f9634d1eb1cc0bcc76fc">framework::filter::X4X8Multiplex::MotorsCount</a></div><div class="ttdeci">uint8_t MotorsCount(void) const </div><div class="ttdoc">Motors count. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_a5901f6318bdeb6a687b98915e8ec1171"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a5901f6318bdeb6a687b98915e8ec1171">framework::filter::X4X8Multiplex::~X4X8Multiplex</a></div><div class="ttdeci">~X4X8Multiplex()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_x4_x8_multiplex_html_ab65396f910600bf31a76eb0a1305ba8c"><div class="ttname"><a href="classframework_1_1filter_1_1_x4_x8_multiplex.html#ab65396f910600bf31a76eb0a1305ba8c">framework::filter::X4X8Multiplex::UavType_t</a></div><div class="ttdeci">UavType_t</div><div class="ttdoc">type of UAV </div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:35</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_fe46344826a09271daf0b94572bf98c3.html">Filter</a></li><li class="navelem"><a class="el" href="dir_2d63b318a579ad532ef11df207587c97.html">src</a></li><li class="navelem"><a class="el" href="_x4_x8_multiplex_8h.html">X4X8Multiplex.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
